com.r3corda.core.node.services / TxWritableStorageService

# TxWritableStorageService

`interface TxWritableStorageService : StorageService`

Storage service, with extensions to allow validated transactions to be added to. For use only within ServiceHub.

### Properties

validatedTransactions | `abstract val validatedTransactions: TransactionStorage` A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures arent technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.

### Inherited Properties

attachments | `abstract val attachments: AttachmentStorage` Provides access to storage of arbitrary JAR files (which may contain only data, no code).
myLegalIdentity | `abstract val myLegalIdentity: Party` Returns the legal identity that this node is configured with. Assumed to be initialised when the node is first installed.
myLegalIdentityKey | `abstract val myLegalIdentityKey: KeyPair`

### Inheritors

MockStorageService | `class MockStorageService : SingletonSerializeAsToken, TxWritableStorageService`
StorageServiceImpl | `open class StorageServiceImpl : SingletonSerializeAsToken, TxWritableStorageService`